# OpalFileMediaStream Class Reference

`#include <mediastrm.h>`

Inheritance diagram for OpalFileMediaStream:

[legend]
Collaboration diagram for OpalFileMediaStream:
[legend]

## Public Member Functions

Construction
| OpalFileMediaStream (OpalConnection &conn, const OpalMediaFormat &mediaFormat, unsigned sessionID, bool isSource, PFile *file, bool autoDelete=true)
| OpalFileMediaStream (OpalConnection &conn, const OpalMediaFormat &mediaFormat, unsigned sessionID, bool isSource, const PFilePath &path)
Overrides of OpalMediaStream class
virtual PBoolean | IsSynchronous () const
virtual PBoolean | ReadData (BYTE *data, PINDEX size, PINDEX &length)
virtual PBoolean | WriteData (const BYTE *data, PINDEX length, PINDEX &written)

## Protected Attributes

PFile | file

## Detailed Description

This class describes a media stream that transfers data to/from a file.

## Constructor & Destructor Documentation

OpalFileMediaStream::OpalFileMediaStream | ( | OpalConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | bool | isSource,
|  | PFile * | file,
|  | bool | autoDelete = `true` |
| ) |  |  |

Construct a new media stream for files.

Parameters:

  conn | Connection that owns the stream
  mediaFormat | Media format for stream
  sessionID | Session number for stream
  isSource | Is a source stream
  file | File to stream to/from
  autoDelete | Automatically delete file

OpalFileMediaStream::OpalFileMediaStream | ( | OpalConnection & | conn,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | bool | isSource,
|  | const PFilePath & | path |
| ) |  |  |

Construct a new media stream for files.

Parameters:

  conn | Connection that owns the stream
  mediaFormat | Media format for stream
  sessionID | Session number for stream
  isSource | Is a source stream
  path | File path to stream to/from

## Member Function Documentation

virtual PBoolean OpalFileMediaStream::IsSynchronous | ( |  | ) | const`[virtual]`

Indicate if the media stream is synchronous. Returns true for LID streams.

Implements OpalMediaStream.

virtual PBoolean OpalFileMediaStream::ReadData | ( | BYTE * | data,
|  | PINDEX | size,
|  | PINDEX & | length |
| ) |  |  | `[virtual]`

Read raw media data from the source media stream. The default behaviour reads from the PChannel object.

Parameters:

  data | Data buffer to read to
  size | Size of buffer
  length | Length of data actually read

Reimplemented from OpalRawMediaStream.

virtual PBoolean OpalFileMediaStream::WriteData | ( | const BYTE * | data,
|  | PINDEX | length,
|  | PINDEX & | written |
| ) |  |  | `[virtual]`

Write raw media data to the sink media stream. The default behaviour writes to the PChannel object.

Parameters:

  data | Data to write
  length | Length of data to read.
  written | Length of data actually written

Reimplemented from OpalRawMediaStream.

## Field Documentation

PFile OpalFileMediaStream::file `[protected]`

The documentation for this class was generated from the following file:

- mediastrm.h